XDEMINEUR(6x)

NAME
xdemineur - X11 minesweeper game

SYNOPSIS
xdemineur [-v] [-display displayname] [-geometry geom] [-m mines]

DESCRIPTION
Xdemineur is a minesweeper game for the X Window System.

The object of this game is to find the location of the mines hidden in the minefield and to mark their location by placing a warning flag. You have exactly as many flags as there are mines. The number of flags that remain to be placed is displayed in the top left corner of the window and a timer is displayed in the top right corner.

The game is played using a three buttons mouse, as usual with the X Window System. The left button (button 1) is used to uncover the square on which you click (hoping that a mine is not hidden there). The number displayed in an uncovered square indicates how many mines are located around this square (for example, a 3 means that there are three mines within the 8 surrounding squares). The whole game relies on the right use of these numbers. The right button (button 3) is used to place a flag on a square (this indicates that there is a mine here). If you click again with the right button on a square that has a flag, the flag is changed into a question mark: this is useful if you are trying to guess the possible location of some mine, you can use question marks to think about it. One more click with the right button and the question mark disappears. Clicking with the middle button (button 2) on an uncovered square which has all its flags placed around uncovers the surrounding cells which have no flags (this will save a lot of time).

Finally, to start a new game, just click on the yellow face above the minefield.

OPTIONS

-v  Print out version number and copyright notice then exit.

-display displayname
    This option specifies the name of the X server to use. See X(1).

-geometry geom
    This option specifies the initial size and location of the window. See X(1). The size is expressed in number of columns times number of rows. The default is 30x16. The minimum number of columns is 12.

-m mines
    This option specifies the number of mines in the minefield. If there are more mines than squares in the minefield, the default mine number is used.

BUGS
Please report any bug you could find in xdemineur to <babafou@babafou.eu.org>. Also, you should tell me the customizations you may have done, such as adding new functions to the game or making modifications to allow the game to run on your system.

COPYRIGHT
Copyright (C) 1993-1999 Marc Baudoin <babafou@babafou.eu.org>

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. The author makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Marc Baudoin <babafou@babafou.eu.org>